Package com.enonic.xp.query.highlight

## Class HighlightPropertySettings.Builder<T extends HighlightPropertySettings.Builder>

- java.lang.Object
- - com.enonic.xp.query.highlight.HighlightPropertySettings.Builder<T>

- Direct Known Subclasses:
    `HighlightQuerySettings.Builder`
  Enclosing class:
    HighlightPropertySettings

      public static class HighlightPropertySettings.Builder<T extends HighlightPropertySettings.Builder>
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Builder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `T` | `addPostTags​(List<String> postTags)` |
    `T` | `addPreTags​(List<String> preTags)` |
    `HighlightPropertySettings` | `build()` |
    `T` | `fragmenter​(Fragmenter fragmenter)` |
    `T` | `fragmentSize​(Integer fragmentSize)` |
    `T` | `noMatchSize​(Integer noMatchSize)` |
    `T` | `numOfFragments​(Integer numOfFragments)` |
    `T` | `order​(Order order)` |
    `T` | `requireFieldMatch​(Boolean requireFieldMatch)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### fragmenter

          public T fragmenter​(Fragmenter fragmenter)

    - #### fragmentSize

          public T fragmentSize​(Integer fragmentSize)

    - #### noMatchSize

          public T noMatchSize​(Integer noMatchSize)

    - #### numOfFragments

          public T numOfFragments​(Integer numOfFragments)

    - #### order

          public T order​(Order order)

    - #### addPreTags

          public T addPreTags​(List<String> preTags)

    - #### addPostTags

          public T addPostTags​(List<String> postTags)

    - #### requireFieldMatch

          public T requireFieldMatch​(Boolean requireFieldMatch)

    - #### build

          public HighlightPropertySettings build()